<?php
/*******************************************************************
 * 版权协议：2009-2019
 * 版权所有: PHP-北京金南曦网络技术有限公司旗下PHPWMS，PHP商城系统技术支持中心http://www.php188.net，并保留所有权利。 
* PHP商城系统网址: http://www.php188.com
 * PHPWMS系统网址：http://www.phpwms.com
 * 销售电话：010-87875088
 * 销售电话：010-87875188 
*------------------------------------------------------------------
 * 这不是一个完全免费软件！您只能在不用于商业目的的前提下对程序代码进
 * 行修改和使用；不允许对程序代码以任何形式任何目的的再发布。
 *------------------------------------------------------------------
 * 文件名称：admin_settings.php
 * 摘　　要：系统设置
 * 适用范围：PHPWMS 1.0
 * 版　　本：1.0
 *------------------------------------------------------------------
 * Script Written By phpwms项目组
 * 最后更新： 2009-09-24 phpwms 由PHP金南曦网络技术有限公司整理发布
 *******************************************************************/
if(!defined('IN_SYS'))exit('access die');
if(!getAdminPri('1101'))exit(NO_AUTH_LOGIN);
if($_SERVER['REQUEST_METHOD']=='POST'){
	$url = $_POST['data']['sys_url'];
	if(empty($url)){
		$url = get_site_url(FALSE);
		$url ='http://'.array_shift(explode(ADMIN_PATH,$url));
	}
	$url = substr($url,-1,1)=='/'?$url:$url.'/';
	$_POST['data']['sys_url'] = $url;
	$_POST['data']['footer_info'] = filter_site_url_encode($_POST['data']['footer_info']);
	siteConfig('siteBase',$_POST['data']);
	$sp->bgmsg('操作成功','admincp.php?action=settings');
	exit();
}else{
	$config = get_cache('siteBase');
	require PUB_CLASS.'/phpwms.kineditor.php';
	$editor  = new editor();
	$editor->height = '200';
	$editor->instanceName  = 'data[footer_info]';
	$editor->value = filter_site_url_decode($config['footer_info']);
	$tpl->assign('editor',$editor->create());
	unset($editor);
	$pn  = '系统设置';
	assign($config);
	$tpl -> assign("sys_version",SYS_VERSION);
	$tpl -> assign("admin_nav",shownav($pn));
	$tpl_list = $sp -> getTplList();
	$tpl -> assign("tpl_list",$tpl_list);
	$sp  -> outPut('settings.tpl',$pn);
}
?>